UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Voyager
Voyager
503 Views
Registered: ‎07-06-2016

How to install the libtiff.so.5 library

Jump to solution

Hello,

I'm working with petalinux 2018.2 tools and zynq ultrascale+.

I'm trying to add and build a pre-compiled (arm64) third party library, but after following theUG1144 (page 58) steps, I've got the next dependency error:

ERROR: Nothing RPROVIDES 'libtiff.so.5' (but ~/hdl/dev/Petalinux_test/Petalinux/uz7ev_evcc_2018_2/project-spec/meta-user/recipes-apps/libm3api/libm3api.bb RDEPENDS on or otherwise requires it)

Thinks I've tried:

-Add the tiff library (in misc) and tiff dev tools in rootfs 

-Add RDEPENDS_${PN} += "libtiff.so.5" in the lib recipe.

I tried to look for the libtiff.so.5 library and I couldn't find it within the petalinux project.

how could I install the libtiff.so.5 library in petalinux? is it possible?

Thanks in advance.

 

 

0 Kudos
1 Solution

Accepted Solutions
Voyager
Voyager
471 Views
Registered: ‎07-06-2016

Re: How to install the libtiff.so.5 library

Jump to solution

I finally solved this adding the tiff library and doing a clean petalinux build, running first: "petalinux-build -x mrproper" and then a normal build, hope this can give some clues to someone with similar issue...

View solution in original post

0 Kudos
1 Reply
Voyager
Voyager
472 Views
Registered: ‎07-06-2016

Re: How to install the libtiff.so.5 library

Jump to solution

I finally solved this adding the tiff library and doing a clean petalinux build, running first: "petalinux-build -x mrproper" and then a normal build, hope this can give some clues to someone with similar issue...

View solution in original post

0 Kudos